Get review analytics
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/reviews/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/reviews/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/reviews/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"rating": 123,
"reviews": 123,
"breakdown": [
{
"rating": 123,
"count": 123,
"percentage": 123
}
]
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Reviews
Get Review Analytics
Gets the review analytics for a store.
Requires the stores.view permission.
GET
/
stores
/
{storeId}
/
reviews
/
analytics
Get review analytics
Authorizations
Your API key goes here
Path Parameters
The ID of the store to get the reviews for
Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the response structure for review analytics data.
Show child attributes
Show child attributes
Last modified on August 2, 2026
⌘I